{ pkgs, lib, ... }:
{
  programs.vscode = {
    enable = true;
    profiles.default = {
      enableUpdateCheck = true;
      enableExtensionUpdateCheck = true;
      userSettings = {
        "window.titleBarStyle" = "custom";
        "rust-analyzer.testExplorer" = true;
        "rust-analyzer.restartServerOnConfigChange" = true;
        "direnv.restart.automatic" = true;
      };
      extensions = with pkgs.vscode-extensions; [
        catppuccin.catppuccin-vsc
        catppuccin.catppuccin-vsc-icons
        github.copilot
        github.copilot-chat
        golang.go
        vscodevim.vim
        (ms-python.python.overrideAttrs {
          src =
            lib.warn "Overriden ms-vscode until #387839 merged" pkgs.vscode-utils.fetchVsixFromVscodeMarketplace
              {
                name = "python";
                publisher = "ms-python";
                version = "2025.2.0";
                hash = "sha256-f573A/7s8jVfH1f3ZYZSTftrfBs6iyMWewhorX4Z0Nc=";
              };
        })
        ms-vscode-remote.remote-ssh
        bbenoist.nix
        mkhl.direnv
        rust-lang.rust-analyzer
      ];
    };
  };
}
